Page MenuHomeFreeBSD

minidump: Use provided msgbuf pointer
ClosedPublic

Authored by mhorne on Sep 16 2021, 6:40 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 6:58 PM
Unknown Object (File)
Thu, Mar 21, 11:27 PM
Unknown Object (File)
Feb 10 2024, 5:39 AM
Unknown Object (File)
Jan 8 2024, 12:56 AM
Unknown Object (File)
Dec 23 2023, 3:43 PM
Unknown Object (File)
Dec 20 2023, 8:03 AM
Unknown Object (File)
Dec 12 2023, 11:56 AM
Unknown Object (File)
Oct 7 2023, 6:11 PM

Details

Summary

Don't assume we are dumping the global message buffer, but use the one
provided by the minidumpstate argument.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 41549
Build 38438: arc lint + arc unit

Event Timeline

markj added inline comments.
sys/amd64/amd64/minidump_machdep.c
305

While here, the casts to (char *) can be dropped.

This revision is now accepted and ready to land.Sep 16 2021, 6:56 PM
This revision was automatically updated to reflect the committed changes.